#ifndef __MAIN_H
#define __MAIN_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#define BROADCAST_PORT 4950
#define TCP_PORT	3490
#define BEACON_INTERVAL 10 // send beacon every 10 seconds

#define RCV_BUF_LEN	256

void show_banner(char* text);
void set_progress(double fraction);
void start_file_transfer(char* filename);
void end_file_transfer();


#endif
