#ifndef __LIST_H
#define __LIST_H

#include <time.h>
#include "../packet.h"

struct list_item {
	unsigned int ip;
	char mac[12];
	unsigned int port;
	time_t timestamp;

	struct list_item * next;
};

typedef struct list_item list;

void addNeighbor(list **, Packet*);

void printList(list **);

list *findNeighbor(list **head, char *mac);

void printNeighbor(list *current);

#endif
