#ifndef LAYOUT_H
#define LAYOUT_H

/* Create needed variables */
HildonProgram *program;
HildonWindow *window;
GtkWidget *button_box;
GtkWidget *button1;
GtkWidget *button2;
GtkWidget *button3;
GtkWidget *button4;
GtkWidget *left_box;
GtkWidget *right_box;
GtkWidget *main_box;
GtkWidget *text_area;
GtkWidget *text_frame;
GtkWidget *list_view;
GtkWidget *list_frame;
GtkWidget *input_frame;
GtkWidget *input_area;
GtkWidget *list_scroll;
GtkWidget *text_scroll;

GtkTextBuffer *text_buf;
GtkListStore *list_store;

GtkCellRenderer *str_renderer;
GtkCellRenderer *int_renderer;
GtkTreeViewColumn *str_column;
GtkTreeViewColumn *int_column;

GtkTreeSelection *select;


GtkWidget *scan_image;
GtkWidget *list_image;

GtkWidget *banner = NULL;

void debug_window_clear();
void debug_window_append(const gchar *text);

void button_cb(GtkWidget *widget, gpointer id);

const gchar* get_input_text();

void list_window_clear();
void list_window_append(const gchar *text, gint intval);
void list_window_get_current_selection(gchar **str, int *int_val);

#endif
