#ifndef __NETWORK_H__
#define __NETWORK_H__

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

#define DEBUG_LEVEL 1
#define DEBUG(level, fmt,...) if (level <= DEBUG_LEVEL) fprintf(stderr, fmt, ##__VA_ARGS__)
/* Function to receive a packet while being prone to interrrupts */
int recvall(int handle, char * buf, int sz, struct sockaddr_in *addr);

/* Function to send a packet while being prone to interrrupts */
int sendall(int handle, char * buf, int sz, struct sockaddr_in *addr);

int tcp_sendall(int handle, char * buf, int sz);
#endif
